Warning v PHPStorm pri update

před 6 dny

vladimir.biro
Člen | 108
+
0
-

Ahojte.

Pouzivam PHPStorm a pri Database Explorer ->insert([…]) je vse v poradku, no pri ->update([…]) mi to vyhazuje warning. Neni to nic strasnyho a castecne to jde ignorovat :) ale jde mi to dost na nervy a za dalsi se chci zeptat, jestli nedelam neco spatne.

Jako parametry pouzivat treba primo vystup z formulare, nebo obyceny array, nebo i objekt a porad to same.

vid: https://prnt.sc/skig5d

Editoval vladimir.biro (20. 5. 18:32)

před 6 dny

David Matějka
Moderator | 6159
+
0
-

mas v phpstormu nastaveny php language level na 7.1?

před 6 dny

vladimir.biro
Člen | 108
+
0
-

David Matějka napsal(a):

mas v phpstormu nastaveny php language level na 7.1?

Ano

https://prnt.sc/skmank

před 6 dny

David Matějka
Moderator | 6159
+
0
-

tak bych jeste zkusil ve stormu „Invalidate & restart“ (ve File menu)

před 6 dny

vladimir.biro
Člen | 108
+
0
-

David Matějka napsal(a):

tak bych jeste zkusil ve stormu „Invalidate & restart“ (ve File menu)

Zkusil jsem ale nepomohlo … :)

Nevadi, je to jen prkotina .. naucim se s tim zit.

Ale dik za pomoc.

před 6 dny

David Grudl
Nette Core | 7057
+
0
-

Ještě může být nějaké omezení verze PHP v composer.json.

před 5 dny

vladimir.biro
Člen | 108
+
0
-

David Grudl napsal(a):

Ještě může být nějaké omezení verze PHP v composer.json.

Tohle myslis?

https://prnt.sc/skv4l5

před 5 dny

David Grudl
Nette Core | 7057
+
0
-

spíš v „platform“